Page MenuHomePhabricator

Track file usage history
Open, LowestPublic

Description

On file pages we have "The following pages use this file".

I want to request a list of pages where the file WAS USED on.


Version: 1.21.x
Severity: enhancement

Details

Reference
bz41025

Related Objects

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 12:48 AM
bzimport set Reference to bz41025.
bzimport added a subscriber: Unknown Object (MLST).
Subfader created this task.Oct 14 2012, 9:46 PM

I guess some may ask why this should be useful.

First of all not every wiki is Wikipedia.

Then, MediaWiki should handle MEDIA much better. Yes, MW is no CMS but it developing in that direction is not hurting anyone.

And I have a practical use case: On my wiki I allow users to upload sound samples which others can identify. When identified, the sample on the article gets replaced by its name. Problem: When one of my samples is identified, the file is unsused and I cannot find out on which article I can find the identified name.
Of course I could watch every article where my samples are used on, but that's not very 2012.

Then, MediaWiki should handle MEDIA much better

I think everyone agrees there.


Possible issues:
*List could get very long very quickly.
*List is easy vandalism target. ("This media file was previous used on YOUR MOM!!!!111", which doesn't go away once vandalism cleaned up)

I see. Well most wikis won't be affected by that ;)

Possible solutions:

  • Keeping only the last 10 and flush the rest. COuld be abused by flushing them by adding the file to other pages.
  • Add it only once it is removed from the page (not when the page with that file is deleted)

Would there really be a problem with abuse pages? The pages are deleted. Having dead page names in the list is useless anyway.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:06 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:06 PM
Restricted Application added a project: Commons. · View Herald TranscriptOct 19 2019, 1:32 AM
AlexisJazz added subscribers: Majora, AlexisJazz.EditedOct 19 2019, 1:39 AM

@Majora I want this.

Then, MediaWiki should handle MEDIA much better

I think everyone agrees there.
Possible issues:
*List could get very long very quickly.
*List is easy vandalism target. ("This media file was previous used on YOUR MOM!!!!111", which doesn't go away once vandalism cleaned up)

The list could be maintained on a separate page? Something like commons.wikimedia.org/w/index.php?title=Special:Log&type=usage&page=File%3AExample.jpg ?

@AlexisJazz Maybe we can propose this in the 2020 community wishlist survey. Community Tech might work on it if it gains support.

Ah per Community Wishlist Survey 2020 main page

Wishes that are global (i.e., generally target all wikis) are not eligible.
Wishes for Wikidata or Wikimedia Commons are not eligible.

So maybe next year.

Ah per Community Wishlist Survey 2020 main page

Wishes that are global (i.e., generally target all wikis) are not eligible.
Wishes for Wikidata or Wikimedia Commons are not eligible.

So maybe next year.

We are excluded because we have structured data? We never asked for that! We need tons of improvements. Important ones, too. Guess we'll just have to create our own wishlist. (you know I'll do it! DIOS!)

We are excluded because we have structured data?

No. See https://meta.wikimedia.org/wiki/Community_Wishlist_Survey_2020 ...